//-> Impresso dos Dados do Programa                  

STATIC FUNCTION IMPRIMESER( oLbxServ )

   LOCAL oPen1, oPen2           
   LOCAL oFont1, oFont2, oFont3 
   LOCAL oReport                
   LOCAL nRegistro := RecNo()   

   // Gera o Preview

   DEFINE PEN oPen1 WIDTH 2     
   DEFINE PEN oPen2 WIDTH 1     

   DEFINE FONT oFont1 NAME "Arial"       SIZE 0, -11
   DEFINE FONT oFont2 NAME "Arial"       SIZE 0, -11
   DEFINE FONT oFont3 NAME "Courier New" SIZE 0,  10 // Para Imprimir MEMOS

   SELECT( SER ) //-> Carrega o Banco: SERVIDOR.DBF
   DbGoTop()

   REPORT oReport TITLE "Listagem de SERVIDOR" ;
      CAPTION "Catlogo: SERVIDOR"             ;
      HEADER "SERVIDOR",                       ;
      "Data:   " + DTOC( DATE() ),             ;
      "Pgina: " + STR( oReport:nPage, 3 )     ;
      FOOTER "- SERVIDOR -" CENTER             ;
      FONT oFont1, oFont2, oFont3              ;
      PEN oPen1, oPen2 ; //-> Tipo de linha a usar no cabealho 
      PREVIEW //-> Ativa o Preview - Listagem 

      //-> Para o Preview Maximizar e Nao Ficar no Rodape do Windows 
      oReport:oDevice:lPrvModal := .T. 
      oReport:oDevice:SetPage(9) //-> Formato A4 

      //-> Este e somente um modelo, veja no ReadMe.Txt, exemplo 
      //-> completo em formato .TXT
      //-> Veja Tambem: C:\FWH\SAMPLES\REPORT. Classe: REPORT.PRG
      //-> Veja Tambem: C:\FWH\SAMPLES\TESTPRN3.PRG. Classe: PRINTER.PRG
      COLUMN TITLE "Entrada POP3 " DATA ( SER )->SEMAILPOP3, ;
             +     "Email: "       +    ( SER )->SEMAILCONT, ;
             +     "Https: " +  IIF( ( SER )->CONEXAOSEG = .T., "Sim", "Nao") FONT 2

      COLUMN TITLE "Saida   SMTP " DATA ( SER )->SEMAILSMTP, ;
             +     "N. Porta: "   + STR(( SER )->NPORTASERV), ;
             +     "Usuario: "     + ( SER )->NOMEDOUSUA FONT 2

//      COLUMN TITLE "SENHACONTA " DATA ( SER )->SENHACONTA FONT 2

   END REPORT 

   IF !oReport:lCreated 
      RETURN NIL 
   ENDIF

   oReport:CellView() 

   ACTIVATE REPORT oReport ON INIT oReport:oTitle:aFont[1] := { || 3 }

   oPen1:End()  
   oPen2:End()  
   oFont1:End() 
   oFont2:End() 
   oFont3:End() 

   oLbxServ:GoTop()
   oLbxServ:Refresh()

   //-> DbGoTo( nRegistro ) 

RETURN NIL
